<template>
    <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth">
        <div class="row w-100">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left p-5">
              <div class="brand-logo">
               
              </div>
              <h4>New here?</h4>
              <h6 class="font-weight-light">Signing up is easy. It only takes a few steps</h6>
           
                <div class="form-group">
                  <input type="text" class="form-control form-control-lg"  v-model="name"  id="exampleInputUsername1" placeholder="Username">
                </div>
                <ul v-if="error.name" class="list-unstyled">
                   <li v-for="err of error.name" class="txt-color">
				       {{ err }}
			       </li>
			    </ul>
                <div class="form-group">
                  <input type="email" class="form-control form-control-lg"  v-model="email"  id="exampleInputEmail1" placeholder="Email">
                </div>
                <ul v-if="error.email" class="list-unstyled">
                    <li v-for="err of error.email" class="txt-color">
				      {{ err }}
			       </li>
			    </ul>
                <div class="form-group">
                  <input type="password" class="form-control form-control-lg" v-model="password"  id="exampleInputPassword1" placeholder="Password">
                </div>
                <ul v-if="error.password" class="list-unstyled">
               <li v-for="err of error.password" class="txt-color">
				   {{ err }}
			   </li>
			    </ul>
                <div class="form-group">
                  <input type="password" class="form-control form-control-lg"   v-model="cpassword"  id="exampleInputPassword1" placeholder="Confirm Password">
                </div>
                <ul v-if="error.cpassword" class="list-unstyled" > 
               <li v-for="err of error.cpassword" class="txt-color">
				   {{ err }}
			   </li>
			  </ul>
                <div class="mb-4">
                
                </div>
                <div class="mt-3">
                  <button class="btn btn-block btn-gradient-primary btn-lg font-weight-medium auth-form-btn" @click="addRecord" >SIGN UP</button>
                </div>
                <div class="text-center mt-4 font-weight-light">
                  Already have an account? <router-link to="/login" class="text-primary">Login </router-link>
                </div>
              
            </div>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
</template>
<script>
export default {
    data(){
       return {
		   signupsuccess : '',
		   error : [],
		   name : '',
		   email : '',
		   password : '',
		   cpassword : '',
	   }
	},
	methods: {
		addRecord(){
			axios.post("/submit",{
				'name':this.name,
				'email':this.email,
				'password':this.password,
				'cpassword':this.cpassword,
			})
			.then(data => {
               this.$emit('signupSuccess',data); // emit is a event creator it's create a event globally which we reciever after submitting that returning here
               this.signupsuccess = "Signup successfully login for Continue";
              window.location.assign('#/login');
             })
             .catch(error =>  {
               this.error = error.response.data.errors;
             })
		},
	},

	created(){
		axios.get('http://localhost:8000/tasks')
       .then((response) =>  this.tasks = response.data)
       .catch((error) => console.log(error));
       console.log("Signup Component Loaded ...");
	}
}
</script>
<style lang="css" scoped>
    ul li {
        color: red;
    }
</style>
